Subject: Re: [X2Go-Dev] Bug#1200: Bug#1200: Bug#1200: Bug#1200: Environment variables not set

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 11 Aug 2017 00:41:21 +0200

On Fri, Aug 11, 2017 at 12:25 AM, Bruno CAPELETO
<[email-masked]> wrote:
>
> Ok bug no 2 (no session for pid) is identified :
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=864402
>
> Concerning bug 3. and single app mode : when launching xterm and doing "echo
> $LANG" there is nothing.
> So the variable is not set, even with my workaround for bug no 1.

That means, libreoffice crashes without LANG being set? I have tried
unsetting LANG (and LANGUAGE). libreoffice is still working, though
complaining:
$ locale
LANG=
LANGUAGE=
LC_CTYPE="POSIX"
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=
$ libreoffice
I18N: Operating system doesn't support locale "en_US"

> What is the difference between the full LXDE session et single app mode : is
> there an explanation somewhere ?

I am not aware of any, I fear you have to read the source...

What shell are you using?

Uli